pkg: cached package php74-sqlite3-7.4.3: size mismatch, fetch

elimelech007

New Member

Reaction score: 1
Messages: 9

Demolished php56
Installed php74
Then extensions:
Code:
# pkg install php74-curl php74-extensions php74-json php74-xml php74-zip php74-intl php74-mysqli php74-pdo_mysql php74-pdo php74-pear php74-soap php74-phar
Code:
Proceed with this action? [y/N]: y
[1/4] Fetching php74-sqlite3-7.4.3.txz: 100%   18 KiB  18.6kB/s    00:01   
pkg: cached package php74-sqlite3-7.4.3: size mismatch, fetching from remote
[2/4] Fetching php74-sqlite3-7.4.3.txz: 100%   18 KiB  18.6kB/s    00:01   
pkg: cached package php74-sqlite3-7.4.3: size mismatch, cannot continue
Consider running 'pkg update -f'
Code:
# pkg update -f
Updating FreeBSD repository catalogue...
Fetching meta.conf: 100%    163 B   0.2kB/s    00:01   
Fetching packagesite.txz: 100%    6 MiB   3.2MB/s    00:02   
Processing entries:  64%
pkg: wrong architecture: FreeBSD:12.0:i386 instead of FreeBSD:12:i386
pkg: repository FreeBSD contains packages with wrong ABI: FreeBSD:12.0:i386
Processing entries: 100%
Unable to update repository FreeBSD
Error updating repositories!
root@F3ja:/home/luba #
what to do next?
 

pawelkax

New Member


Messages: 2

Hi, I use pkg from sources with fix of the issue.
But I still get error:
[]$ sudo pkg update
Updating FreeBSD repository catalogue...
Fetching meta.conf: 100% 163 B 0.2kB/s 00:01
Fetching packagesite.txz: 100% 6 MiB 717.0kB/s 00:09
Processing entries: 63%
pkg: wrong architecture: FreeBSD:12.0:amd64 instead of FreeBSD:12:amd64
pkg: repository FreeBSD contains packages with wrong ABI: FreeBSD:12.0:amd64
Processing entries: 100%
Unable to update repository FreeBSD
Error updating repositories!
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 8,932
Messages: 33,331

Can you post the output from pkg -vv?
 

pawelkax

New Member


Messages: 2

Hi,
I get output:
[]$ sudo /usr/local/sbin/pkg -vv | grep ABI
ABI = "FreeBSD:12:amd64";
ALTABI = "freebsd:12:x86:64";
 

Marched

New Member


Messages: 16

You can add
Code:
ABI = "FreeBSD:12:amd64";
ALTABI = "FreeBSD:12.0:amd64";
to /usr/local/etc/pkg.conf
 
Top